List agent configurations
curl --request GET \
--url https://dust.tt/api/w/{wId}/assistant/agent_configurations \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/w/{wId}/assistant/agent_configurations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/w/{wId}/assistant/agent_configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentConfigurations": [
{
"id": 123,
"sId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"pictureUrl": "<string>",
"model": {
"providerId": "<string>",
"modelId": "<string>",
"temperature": 123
},
"maxStepsPerRun": 123,
"tags": [
{
"sId": "<string>",
"name": "<string>"
}
],
"versionCreatedAt": "<string>",
"versionAuthorId": 123,
"instructions": "<string>",
"userFavorite": true,
"templateId": "<string>",
"requestedGroupIds": [
[
"<string>"
]
],
"requestedSpaceIds": [
"<string>"
],
"canRead": true,
"canEdit": true,
"lastAuthors": [
"<string>"
],
"editors": [
{
"sId": "<string>",
"fullName": "<string>",
"image": "<string>"
}
],
"usage": {
"messageCount": 123,
"conversationCount": 123,
"userCount": 123,
"timePeriodSec": 123
},
"feedbacks": {
"up": 123,
"down": 123
}
}
]
}Private Agents
List agent configurations
Returns all agent configurations in the workspace.
GET
/
api
/
w
/
{wId}
/
assistant
/
agent_configurations
List agent configurations
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
Query Parameters
Filter agents by view
Available options:
all, list, favorites, published, admin_internal, global, workspace Maximum number of results to return
Include usage statistics
Available options:
true Include recent authors
Available options:
true Include feedback counts
Available options:
true Include editors list
Available options:
true Sort order
Response
Success
Show child attributes
Show child attributes
⌘I